// dialogFunctionImpl.cpp: implementation of the dialogFunctionImpl class.
//
//////////////////////////////////////////////////////////////////////

#include "dialogFunctionImpl.h"
#include <qmessagebox.h>
#include <qmultilineedit.h>
#include "evalutor.h"

dialogFunctionImpl::dialogFunctionImpl( Evalutor* evaln, QWidget* parent, const char* name,
	bool modal, WFlags f ) : dialogFunction( parent, name, modal, f ) {
	eval = evaln;
}

void dialogFunctionImpl::compile() {
	eval->SetFunction(txtFunction->text());
}

void dialogFunctionImpl::test() {
	eval->TestFunction();
}

void dialogFunctionImpl::accept() {
	compile();
	hide();
}
