// dialogFunctionImpl.h: interface for the dialogFunctionImpl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIALOGFUNCTIONIMPL_H__E1CC5A9C_0B70_4C6F_AC37_A67F40B2D470__INCLUDED_)
#define AFX_DIALOGFUNCTIONIMPL_H__E1CC5A9C_0B70_4C6F_AC37_A67F40B2D470__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "dlgFunction.h"
#include "evalutor.h"

class dialogFunctionImpl : public dialogFunction  
{
	Q_OBJECT

	Evalutor* eval;

public:
	dialogFunctionImpl( QWidget* parent = 0, const char* name = 0,
	bool modal = FALSE, WFlags f = 0 ) : dialogFunction( parent, name, modal, f ) {}

    dialogFunctionImpl( Evalutor* eval, QWidget* parent = 0, const char* name = 0,
                    bool modal = FALSE, WFlags f = 0 );

public slots:
    virtual void compile();
    virtual void test();
    virtual void accept();

};

#endif // !defined(AFX_DIALOGFUNCTIONIMPL_H__E1CC5A9C_0B70_4C6F_AC37_A67F40B2D470__INCLUDED_)
