
#ifndef GLOBJWIN_H
#define GLOBJWIN_H

#include <qwidget.h>
#include <qtimer.h>
#include "dialogFunctionImpl.h"

class GLBox;
class Evalutor;

class GLObjectWindow : public QWidget
{
    Q_OBJECT

private:
    GLBox* glWindow;
	bool rotating;
	dialogFunctionImpl* dlg;
	Evalutor* eval;
	QTimer* timer;

public:
	Evalutor* getEvalutor();
    GLObjectWindow( QWidget* parent = 0, const char* name = 0 );

protected slots:

	void menuAbout();
	void menuFunctionDefine();
	void menuFunctionPlot();
	void menuRotateStart();
	void menuRotateStop();
	void menuRotateFactors();
	void moveScene();
};


#endif // GLOBJWIN_H
