
#include "globjwin.h"
#include <qapplication.h>
#include <qgl.h>

/*
  The main program is here. 
*/

int main( int argc, char **argv )
{
    QApplication::setColorSpec( QApplication::CustomColor );
    QApplication a(argc,argv);

    if ( !QGLFormat::hasOpenGL() ) {
		qWarning( "Obavam se, ze zde neni nainstalovana podpora pro OpenGL." );
		return -1;
    }

    GLObjectWindow w;
    w.resize( 800, 700 );
	w.move( 10, 10 );
    a.setMainWidget( &w );
    w.setCaption("Geometrie - Kolokvium [ZAPLETAL]");
    w.showMaximized();
    return a.exec();
}
